<style>
	.pages {
		float: left;
	}
	.page {
		width: 100px;
		float: left;
		box-shadow: 0 0 10px;
		margin: 20px;
	}
	.page img {
		width: 100%;
		float: left;
	}
</style>
{% import "macro/form.twig" as form %}

<div class="container-fluid form-group">

	{% if show.objective %}
		<form method="post">
			{{form.hidden("page","objective")}}
			<button class="btn btn-primary fr">Objective</button>
		</form>
	{% endif %}
	{% if show.subjective %}
		<form method="post">
			{{form.hidden("page","subjective")}}
			<button class="btn btn-primary fr">Subjective</button>
		</form>
	{% endif %}
	<h2>Add Marks to Subjective Questions</h2>
	<hr>
	{% if quest !="" %}
		<form method="post">
			<table class='table tbl-responsive'>

				<tr>
					<th>#</th>
					<th style='text-align:center'>Question Number</th>
					<th style='text-align:center'>Correct Marks</th>
					<th style='text-align:center'>Wrong Marks</th>
					<th style='text-align:center'>Unattempted Marks</th>
				</tr>
				{% for i in 1 .. quest %}
					<tr>
						<td style='text-align:center;font-weight:600'>{{i}}</td>
						<td><input onkeypress=NextQuestion(this) class="form-control" name="q{{i}}" type="text" value='{{qno[i]['qno']}}'></td>
						<td><input class="form-control" name="c{{i}}" type="number" value='{{qno[i]['marks'][0]}}'></td>
						<td><input class="form-control" name="w{{i}}" type="number" value='0'></td>
						<td><input class="form-control" name="u{{i}}" type="number" value='0'></td>
					</tr>
				{% endfor %}
				<tr>
					<td colspan="4">
						{{form.hidden("page","subjective")}}
						{{form.hidden("action","add-marks-subjective")}}
						{{form.hidden("category",qpinfo[0])}}
						{{form.hidden("subject",qpinfo[2])}}
						{{form.hidden("title",qpinfo[3])}}
						{{form.hidden("type",qpinfo[4])}}

						<button class="btn btn-primary fr">Save</button>
					</td>
				</tr>
			</table>
		</form>
	{% else %}
		<form method="post">
			<div class="row">
				<div class="form-group col-md-12">
					{{form.hidden("page","subjective")}}
					{{form.input("Enter Total Number of Questions","quest","1","number")}}
					<button class="btn btn-primary fr">Open</button>
				</div>
			</div>
		</form>
	{% endif %}

</div>
<script>
document.onkeydown = checkKey;

function checkKey(e) {
		e = e || window.event;
		var elm=document.querySelector("input:focus").name;
		let qno;
			if(elm.startsWith("q")){
				var curq=elm.split("q");
				qno=parseInt(curq[1]);
			}
    if (e.keyCode == '38') {
			qno--;
			if(document.querySelector("[name=q"+qno+"]")!=null)
			document.querySelector("[name=q"+qno+"]").focus();
    }
    else if (e.keyCode == '40') {
        qno++;
			if(document.querySelector("[name=q"+qno+"]")!=null)
			document.querySelector("[name=q"+qno+"]").focus();
    }

}
</script>